### Function

# Ide set_application_id

#### Declaration

    void
    ide_set_application_id (
      const gchar* app_id
    )

#### Description

Sets the application id that will be used.

This must be set at application startup before any GApplication has connected to the D-Bus.

The default is “org.gnome.Builder”.

Available since: | 3.32

#### Parameters

`app_id` | `const gchar*`
| The application id.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.